import { jsx as a } from "react/jsx-runtime";
import "react";
const n = (r) => {
  let {
    to: o,
    params: t,
    children: i
  } = r;
  return o && t.locationId && (o = o.replace("$locationId", t.locationId)), a("a", {
    href: o,
    ...r,
    children: i
  });
};
export {
  n as RcNavLink
};
